#
# spec file for package triumf_nodereport
# 
#
# Usage:
#   rpmbuild -ba ./triumf_nodereport.spec
#

%define name  triumf_nodereport

# specify location of RPM sources and build directory

%define home /home/olchansk
%define base /home/olchansk/sysadm/rpm

%define src        %{base}/%{name}

%define _rpmdir    %{base}/RPMS
%define _srcrpmdir %{base}/SRPMS
%define _builddir  %{base}/BUILD

Summary:      Konstantin's cluster node information daemon
Name:         %{name}
Version:      1
Release:      17
Requires:     perl
#Copyright:    public domain
License:      public domain
Group:        Applications/Clustering
#URL:          http://...
Packager:     Konstantin Olchanski <olchansk@triumf.ca>
BuildRoot:    %{_builddir}/%{name}
BuildArch:    noarch

%description
triumf_nodereport receives data from cluster nodes and generates html reports.

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin/
mkdir -p $RPM_BUILD_ROOT/var/lib/triumf_nodeinfo
mkdir -p $RPM_BUILD_ROOT/var/www/html/triumf_nodeinfo
mkdir -p $RPM_BUILD_ROOT/etc/cron.d
cp %{src}/receivenodeinfo.perl $RPM_BUILD_ROOT/usr/sbin
cp %{src}/reportnodeinfo.perl  $RPM_BUILD_ROOT/usr/sbin
cp %{src}/triumf_nodereport    $RPM_BUILD_ROOT/etc/cron.d
cp %{src}/sorttable.js         $RPM_BUILD_ROOT/var/www/html/triumf_nodeinfo/

%clean
rm -rf %{name}

%files
%attr(755,root,root)         /usr/sbin/receivenodeinfo.perl
%attr(755,root,root) %config /usr/sbin/reportnodeinfo.perl
%attr(644,root,root) %config /etc/cron.d/triumf_nodereport
%attr(755,root,root)         /var/lib/triumf_nodeinfo
%attr(755,root,root)         /var/www/html/triumf_nodeinfo
%attr(644,root,root)         /var/www/html/triumf_nodeinfo/sorttable.js

%post
touch /etc/crontab

%changelog

* Tue Jan  3 2012 olchansk olchansk@triumf.ca
        Version 1-17
        Colorize all tables
        Fix reporting of yum updates (matches getnodeinfo 1-31)
        Preen SMART tables
        Show XML data from diskscrub-2
        Change reporting of yum configurations

* Tue Jun 24 2011 olchansk olchansk@triumf.ca
        Version 1-16
        - fix decoding of BIOS version from dmidecode data
        - fix OS names for SL6 and CentOS

* Tue Feb  8 2011 olchansk olchansk@triumf.ca
        Version 1-15
        - reporting yum repo files: missing "enabled=" means "enabled=1", missing "gpgcheck=" means "gpgcheck=0"

* Wed Jan 19 2011 olchansk olchansk@triumf.ca
        Version 1-14
        - update to use information reported by getnodeinfo revision 1-30.
        - new sections: yum config, boot config, mdstat, md raid status
        - modified: "have yum nightly updates", network speed reporting.

* Tue Jan 20 2009 olchansk olchansk@triumf.ca
        Version 1-13
        - fix broken sorting
        - show firmware revision in smart data tables

* Sun Jan 27 2008 olchansk olchansk@triumf.ca
        Version 1-12
        - minor tweaks of smart data
        - make tables sortable, see http://www.kryogenix.org/code/browser/sorttable/
        - report dead nodes is "grey" colour (was "red"), with time since last report
        - cleanup reporting of DHCP configuration

* Wed Oct  3 2007 olchansk olchansk@triumf.ca
        Version 1-11
        - add Intel/AMD info
        - add mobo and bios info from DMI data

* Tue Jan  9 2007 olchansk olchansk@triumf.ca
        Version 1-10
        - add yum information

* Tue Jan  9 2007 olchansk olchansk@triumf.ca
        Version 1-9
        - add "-64" tag to 64-bit OS name

* Thu Aug 24 2006 olchansk olchansk@triumf.ca
        Version 1-8
        - improve reporting of Seagate and IBM disks
        - show disk serial numbers

* Fri Feb 10 2006 olchansk olchansk@triumf.ca
        Version 1-7
        In receivenodeinfo.perl, if the peer IP does not resolve to a hostname, use the IP address.
        In reportnodeinfo.perl:
        - add quick index,
        - parse new diskscrub data,
        - kludge reporting of SMART data for Seagate disks,
        - report MII, MAC and IP info for each network interface.

* Wed Sep 15 2005 olchansk olchansk@triumf.ca
        Version 1-6
        Fix parsing of "Scientific Linux 4.1" release string
        Fix handling of malformed diskscrub data

* Wed Aug 17 2005 olchansk olchansk@triumf.ca
        Version 1-5
        Add "use bytes", or perl gets confused by garbage data from dmidecode.

* Tue Aug 16 2005 olchansk olchansk@triumf.ca
        Version 1-4
        Colourize SMART tables
        Add ypserv info to NIS tables
        Add diskscrub table

* Mon Jul 18 2005 olchansk olchansk@triumf.ca
        Version 1-3
        Add support for "Scientific Linux" and "Red Hat Enterprise Linux"

* Sat Feb 05 2005 olchansk olchansk@triumf.ca
        Version 1-2
        Fix "uninitialized variable" warnings if no IDE devices
        If hostname is set to the IP address, to not truncate it

* Fri May 21 2004 olchansk olchansk@triumf.ca
        Version 1-1
        First cut at the RPM file for the receive and report scripts

#end file
